Bug 579881 - Authconfig needs to write ldap URIs with comma-separation
Authconfig needs to write ldap URIs with comma-separation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-06 16:08 EDT by Stephen Gallagher
Modified: 2010-04-22 18:58 EDT (History)
1 user (show)

See Also:
Fixed In Version: authconfig-6.1.3-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-22 18:58:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gallagher 2010-04-06 16:08:25 EDT
Description of problem:
SSSD uses a comma-separated list of entries when doing failover-capable LDAP communication. When multiple LDAP servers are specified in the LDAP URI field, they need to be written into the SSSD as a comma-separated list.

This is already being handled correctly for Kerberos KDCs. The same behaviour should be used for LDAP URIs

Version-Release number of selected component (if applicable):
authconfig-6.1.2-1.fc13

How reproducible:
Every time.

Steps to Reproduce:
1. Enter the following into the LDAP URI box:
ldap://ldap1.example.com ldap://ldap2.example.com
2. Apply it
3. Check the sssd.conf
  
Actual results:
ldap_uri = ldap://ldap1.example.com ldap://ldap2.example.com

Expected results:
ldap_uri = ldap://ldap1.example.com, ldap://ldap2.example.com


Additional info:
This will cause a parsing error in the SSSD when left to space-separation
Comment 1 Fedora Update System 2010-04-07 16:31:04 EDT
authconfig-6.1.3-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/authconfig-6.1.3-1.fc13
Comment 2 Fedora Update System 2010-04-09 00:04:36 EDT
authconfig-6.1.3-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update authconfig'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/authconfig-6.1.3-1.fc13
Comment 3 Fedora Update System 2010-04-22 18:57:42 EDT
authconfig-6.1.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.